i have problem during installing a tar.gz file

Discussion regarding the installation and configuration of Linux distributions.

i have problem during installing a tar.gz file

Postby imtiazahmad_khan » Sun Jun 08, 2003 9:28 pm

dear members
asalamo alaikum,
i have download a driver for my DVB card.
which is in the form of a tar.gz file.
firstly i use this command
tar -xvzf filename
then
./configure
when i run this command it shows following results.
so that i can't use make install command.
plz tell me how can i solve this problem.

[root@localhost pentanet-RH7x-2.3.0]# ./configure
loading cache ./config.cache
checking for a BSD compatible install... (cached) /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... (cached) yes
checking for working aclocal... missing
checking for working autoconf... missing
checking for working automake... missing
checking for working autoheader... missing
checking for working makeinfo... missing
checking for gcc... (cached) gcc
checking whether the C compiler (gcc ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.

thankx in advance.
imtiaz khan
Imtiaz
imtiazahmad_khan
Cadet
 
Posts: 6
Joined: Fri May 30, 2003 11:27 pm
WLM: linux_pakistan@hotmail.com

u may have the old gcc compiler

Postby farhanksa » Mon Jun 09, 2003 1:05 pm

salam .. pls read the readme files or any other docs of it.. it may require new version if gcc+ compiler
farhanksa
Subedar
 
Posts: 359
Joined: Sun Nov 03, 2002 6:40 am
ICQ: 116765501
WLM: farhan12@msn.com
Yahoo Messenger: commdsl@yahoo.com
Location: Lahore

Postby imtiazahmad_khan » Tue Jun 10, 2003 11:33 am

Dear farhan,
walaikum salam,
thankx 4 repluing me.
i read my instalation readme file.
it contain
REQUIREMENTS:
-------------
* Gtk+, Gdk v1.1.2 or above
* Glib v1.1.3 or above
* X11R5 (or above) and libraries
* Linux kernel 2.4.x/greater

now i m using red hat linux 7.2.
and how and from where i can get the above required libraires of Gtk+, Gdk, Glib, X11R5 etc.
I will be very thankful if u help me to find these libraries.

Thankx in advance.

Imtiaz Khan
Imtiaz
imtiazahmad_khan
Cadet
 
Posts: 6
Joined: Fri May 30, 2003 11:27 pm
WLM: linux_pakistan@hotmail.com

From where i download upgrade libraries of linux

Postby imtiazahmad_khan » Tue Jun 10, 2003 11:34 am

Dear farhan,
walaikum salam,
thankx 4 repluing me.
i read my instalation readme file.
it contain
REQUIREMENTS:
-------------
* Gtk+, Gdk v1.1.2 or above
* Glib v1.1.3 or above
* X11R5 (or above) and libraries
* Linux kernel 2.4.x/greater

now i m using red hat linux 7.2.
and how and from where i can get the above required libraires of Gtk+, Gdk, Glib, X11R5 etc.
I will be very thankful if u help me to find these libraries.

Thankx in advance.

Imtiaz Khan
Imtiaz
imtiazahmad_khan
Cadet
 
Posts: 6
Joined: Fri May 30, 2003 11:27 pm
WLM: linux_pakistan@hotmail.com

Re: i have problem during installing a tar.gz file

Postby lambda » Tue Jun 10, 2003 2:22 pm

read config.log and see where it dies.
lambda
Major General
 
Posts: 3452
Joined: Tue May 27, 2003 7:04 pm
Website: http://www.hungry.com/~fn/
Location: Lahore

Postby zaeemarshad » Wed Jun 11, 2003 5:26 am

Dear Imtiaz
what u need is the development side of linux. install autoconf, automake and gcc. in linux 8.0 and up this is pretty easy as it installs itself the required package. just check what is missing. u need automake to generate the make file for make and make install to work after ./configure

Regards
Zaeem
zaeemarshad
Lieutenant Colonel
 
Posts: 660
Joined: Sat Jul 06, 2002 12:35 pm
Website: http://zaeem.no-ip.org
WLM: zarshadvirk@hotmail.com
Yahoo Messenger: negativecreep61@yahoo.com
AOL: zarshadvirk
Location: Islamabad


Return to “%s” Installation

Who is online

Users browsing this forum: No registered users and 1 guest

cron